## org-roam 1.2.1

=== doc/Makefile ===
-include ../config.mk
include ../default.mk

###################################################################
MANUAL_HTML_ARGS = --css-ref assets/page.css

.PHONY: texi install clean AUTHORS.md stats

all: info

## Build #############################################################

info: $(INFOPAGES) dir
html: $(HTMLFILES)
pdf:  $(PDFFILES)
epub: $(EPUBFILES)

%.info: %.texi
	@printf "Generating $@\n"
	@$(MAKEINFO) --no-split $< -o $@

dir: org-roam.info
	@printf "Generating dir\n"
	@echo $^ | xargs -n 1 $(INSTALL_INFO) --dir=$@

%.html: %.texi
	@printf "Generating $@\n"
	@$(MAKEINFO) --html --no-split $(MANUAL_HTML_ARGS) $<

html-dir: 
	@printf "Generating org-roam/*.html\n"
	@$(MAKEINFO) --html $(MANUAL_HTML_ARGS) org-roam.texi
	mv org-roam manual
	cp -r assets manual
	cp -r images manual

%.pdf: %.texi
	@printf "Generating $@\n"
	@texi2pdf --clean $< > /dev/null

%.epub: %.texi
	@printf "Generating $@\n"
	@$(MAKEINFO) --docbook $< -o epub.xml
	@xsltproc $(DOCBOOK_XSL) epub.xml 2> /dev/null
	@echo "application/epub+zip" > mimetype
	@zip -X --quiet --recurse-paths -0 $@ mimetype
	@zip -X --quiet --recurse-paths -9 --no-dir-entries $@ META-INF OEBPS
	@$(RMDIR) $(EPUBTRASH)

## Install ###########################################################

install: install-info install-docs

install-docs: install-info
	@$(MKDIR) $(DESTDIR)$(docdir)
	$(CP) AUTHORS.md $(DESTDIR)$(docdir)

install-info: info
	@$(MKDIR) $(DESTDIR)$(infodir)
	$(CP) $(INFOPAGES) $(DESTDIR)$(infodir)

## Clean #############################################################

clean:
	@printf "Cleaning doc/*...\n"
	@$(RMDIR) dir $(INFOPAGES) $(HTMLFILES) $(HTMLDIRS) $(PDFFILES)
	@$(RMDIR) $(EPUBFILES) $(EPUBTRASH)

## Release management ################################################

ORG_ARGS  = --batch -Q $(ORG_LOAD_PATH)
ORG_ARGS += -l ox-extra -l ox-texinfo+
ORG_ARGS += --eval "(or (require 'org-man nil t) (require 'ol-man))"
ORG_EVAL  = --eval "(ox-extras-activate '(ignore-headlines))"
ORG_EVAL += --eval "(setq indent-tabs-mode nil)"
ORG_EVAL += --eval "(setq org-src-preserve-indentation nil)"
ORG_EVAL += --funcall org-texinfo-export-to-texinfo

# This target first bumps version strings in the Org source.  The
# necessary tools might be missing so other targets do not depend
# on this target and it has to be run explicitly when appropriate.
#
#   AMEND=t make texi    Update manual to be amended to HEAD.
#   VERSION=N make texi  Update manual for release.
#
texi:
	@$(EMACSBIN) $(ORG_ARGS) $(PKG).org $(ORG_EVAL)
	@printf "\n" >> $(PKG).texi
	@rm -f $(PKG).texi~

stats:
	@printf "Generating statistics\n"
	@gitstats -c style=/assets/stats.css -c max_authors=999 $(TOP) $(statsdir)

authors: AUTHORS.md

AUTHORS.md:
	@printf "Generating AUTHORS.md..."
	@test -e $(TOP).git \
	&& (printf "$$AUTHORS_HEADER\n" > $@ \
	&& git log --pretty=format:'- %aN <%aE>' | sort -u >> $@ \
	&& printf "done\n" ; ) \
	|| printf "FAILED (non-fatal)\n"

# Templates ##########################################################

define AUTHORS_HEADER
Authors
=======

The following people have contributed to Org-Roam.

Names below are sorted alphabetically.

Author
------

- Jethro Kuan <jethrokuan95@gmail.com>

Maintainers
----------

- Jethro Kuan <jethrokuan95@gmail.com>
- Leo Vivier <leo.vivier+dev@gmail.com>

Contributors
------------

endef
export AUTHORS_HEADER

=== debian/changelog ===
org-roam (1.2.1-1) unstable; urgency=medium

  * Update to new upstream version 1.2.1.
  * Drop Files-Excluded.
    Upstream has included doc/img/logo.svg in this release.
  * elpa-org-roam Suggests: org-roam-doc.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 27 Jul 2020 14:12:21 -0700

org-roam (1.2.0+dfsg-2) unstable; urgency=medium

  * Source-only upload.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 26 Jul 2020 14:37:36 -0700

org-roam (1.2.0+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #963831).

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 21 Jul 2020 14:37:22 -0700

## org-roam 1.2.3

=== Makefile ===
# * makem.sh/Makefile --- Script to aid building and testing Emacs Lisp packages

# This Makefile is from the makem.sh repo: <https://github.com/alphapapa/makem.sh>.

# * Arguments

# For consistency, we use only var=val options, not hyphen-prefixed options.

# NOTE: I don't like duplicating the arguments here and in makem.sh,
# but I haven't been able to find a way to pass arguments which
# conflict with Make's own arguments through Make to the script.
# Using -- doesn't seem to do it.

ifdef install-deps
	INSTALL_DEPS = "--install-deps"
endif
ifdef install-linters
	INSTALL_LINTERS = "--install-linters"
endif

ifdef sandbox
	ifeq ($(sandbox), t)
		SANDBOX = --sandbox
	else
		SANDBOX = --sandbox $(sandbox)
	endif
endif

ifdef debug
	DEBUG = "--debug"
endif

# ** Verbosity

# Since the "-v" in "make -v" gets intercepted by Make itself, we have
# to use a variable.

verbose = $(v)

ifneq (,$(findstring vv,$(verbose)))
	VERBOSE = "-vv"
else ifneq (,$(findstring v,$(verbose)))
	VERBOSE = "-v"
endif

# * Rules

# TODO: Handle cases in which "test" or "tests" are called and a
# directory by that name exists, which can confuse Make.

%:
	@./makem.sh $(DEBUG) $(VERBOSE) $(SANDBOX) $(INSTALL_DEPS) $(INSTALL_LINTERS) $(@)

.DEFAULT: init
init:
	@./makem.sh $(DEBUG) $(VERBOSE) $(SANDBOX) $(INSTALL_DEPS) $(INSTALL_LINTERS)

docs:
	@$(MAKE) -C doc all

html:
	@$(MAKE) -C doc html-dir

install: install-docs

install-docs: docs
	@$(MAKE) -C doc install-docs

install-info: info
	@$(MAKE) -C doc install-info

=== debian/changelog ===
org-roam (1.2.3-2) unstable; urgency=medium

  * Cherry-pick upstream commit 643b98ee to avoid ignoring the user's
    custom value for org-roam-dailies-directory.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 08 Mar 2021 10:39:04 -0700

org-roam (1.2.3-1) unstable; urgency=medium

  * Update to new upstream version 1.2.3.
  * Update org-roam-doc.docs: upstream has switched the manual to single-page.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 29 Dec 2020 13:01:05 -0700

org-roam (1.2.2-1) unstable; urgency=medium

  * Update to new upstream version 1.2.2.
  * Drop patch to org-roam.el regarding emacsql-sqlite3 dependency.
  * Update d/copyright for new release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 31 Oct 2020 15:02:30 -0700

=== debian/control ===
Source: org-roam
Section: editors
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Sean Whitton <spwhitton@spwhitton.name>
Build-Depends: debhelper-compat (= 13),
 dh-elpa,
 elpa-buttercup <!nocheck>,
 texinfo,
 elpa-dash <!nocheck>,
 elpa-f <!nocheck>,
 elpa-emacsql-sqlite3 <!nocheck>,
 elpa-org,
 elpa-ox-texinfo+,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/emacsen-team/org-roam
Vcs-Git: https://salsa.debian.org/emacsen-team/org-roam.git
Homepage: https://github.com/org-roam/org-roam
Testsuite: autopkgtest-pkg-elpa
Rules-Requires-Root: no

Package: elpa-org-roam
Architecture: all
Depends: ${elpa:Depends}, ${misc:Depends}
Recommends: emacs (>= 46.0)
Suggests: org-roam-doc
Enhances: emacs
Description: non-hierarchical note-taking with Emacs Org-mode
 Org-roam is a solution for effortless non-hierarchical note-taking with
 Org-mode.  With Org-roam, notes flow naturally, making note-taking fun and
 easy.  Org-roam should also work as a plug-and-play solution for anyone
 already using Org-mode for their personal wiki.
 .
 Org-roam is a replica of the proprietary Roam Research.
 .
 This package contains the Emacs Lisp.

Package: org-roam-doc
Architecture: all
Depends: ${misc:Depends}
Description: non-hierarchical note-taking with Emacs Org-mode -- documentation
 Org-roam is a solution for effortless non-hierarchical note-taking with
 Org-mode.  With Org-roam, notes flow naturally, making note-taking fun and
 easy.  Org-roam should also work as a plug-and-play solution for anyone
 already using Org-mode for their personal wiki.
 .
 Org-roam is a replica of the proprietary Roam Research.
 .
 This package contains the info and HTML documentation.

## org-roam 2.2.0

=== debian/changelog ===
org-roam (2.2.0-1) unstable; urgency=medium

  * Update to new upstream version 2.2.0.
  * Add b-d on elpa-org-contrib for ox-extra.el (Closes: #1002781).
  * Drop reference to makem.sh from d/copyright.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 09 Feb 2022 17:36:50 -0700

org-roam (2.1.0-2) unstable; urgency=medium

  * Also install extensions/*.el.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 24 Aug 2021 14:04:35 -0700

org-roam (2.1.0-1) unstable; urgency=medium

  * Update to new upstream version 2.1.0.
  * Drop obsolete patches.
  * Update patch to doc/Makefile to call package-initialize.
  * Refresh remaining patches.
  * Update d/copyright.
  * Add build-dep on elpa-magit-section.
  * Update build-dep elpa-emacsql-sqlite3 -> elpa-emacsql-sqlite.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 24 Aug 2021 13:14:45 -0700

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_auto_clean:

override_dh_auto_build:
	rm -f doc/org-roam.texi
	make -C doc texi
	make -C doc info html-dir

override_dh_auto_install:

override_dh_installdocs:
	dh_installdocs -pelpa-org-roam
	dh_installdocs \
		-porg-roam-doc \
		--link-doc=elpa-org-roam --doc-main-package=elpa-org-roam

=== debian/watch ===
version=4
opts="dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//,filenamemangle=s/(?:.*?)?v?(\d[\d.]*)\.tar\.gz/org-roam-$1.tar.gz/" \
    https://github.com/org-roam/org-roam/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## org-roam 2.2.2

=== doc/Makefile ===
--- 
+++ 
@@ -27,12 +27,9 @@
 	@printf "Generating $@\n"
 	@$(MAKEINFO) --html --no-split $(MANUAL_HTML_ARGS) $<
 
-html-dir: 
-	@printf "Generating org-roam/*.html\n"
-	@$(MAKEINFO) --html $(MANUAL_HTML_ARGS) org-roam.texi
-	mv org-roam manual
-	cp -r assets manual
-	cp -r images manual
+html-dir:
+	@$(MAKEINFO) --html --no-split $(MANUAL_HTML_ARGS) org-roam.texi
+	mv org-roam.html manual.html
 
 %.pdf: %.texi
 	@printf "Generating $@\n"

=== debian/changelog ===
org-roam (2.2.2-2) unstable; urgency=medium

  * Adopt the package from Sean Whitton.
  * Bump standards version to 4.6.2 (no changes required).
  * Stop rebuilding texi documentation, use upstream provided version
    (Closes: #1074742).

 -- Aymeric Agon-Rambosson <aymeric.agon@yandex.com>  Tue, 09 Jul 2024 14:47:42 +0200

org-roam (2.2.2-1) unstable; urgency=medium

  * Update to new upstream version 2.2.2.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 30 Apr 2022 14:40:09 -0700

org-roam (2.2.1-1) unstable; urgency=medium

  * Update to new upstream version 2.2.1.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 10 Apr 2022 11:07:22 -0700

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,16 @@
 Section: editors
 Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
-Uploaders: Sean Whitton <spwhitton@spwhitton.name>
+Uploaders: Aymeric Agon-Rambosson <aymeric.agon@yandex.com>
 Build-Depends: debhelper-compat (= 13),
  dh-elpa,
  elpa-buttercup <!nocheck>,
  texinfo,
  elpa-dash <!nocheck>,
- elpa-f <!nocheck>,
- elpa-emacsql-sqlite3 <!nocheck>,
+ elpa-emacsql-sqlite <!nocheck>,
+ elpa-magit-section <!nocheck>,
  elpa-org,
- elpa-ox-texinfo+,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/emacsen-team/org-roam
 Vcs-Git: https://salsa.debian.org/emacsen-team/org-roam.git
 Homepage: https://github.com/org-roam/org-roam

=== debian/rules ===
--- 
+++ 
@@ -6,8 +6,6 @@
 override_dh_auto_clean:
 
 override_dh_auto_build:
-	rm -f doc/org-roam.texi
-	make -C doc texi
 	make -C doc info html-dir
 
 override_dh_auto_install:

## org-roam 2.2.2+git20250111.425d53d

=== debian/changelog ===
org-roam (2.2.2+git20250111.425d53d-1) unstable; urgency=medium

  * Update to new upstream snapshot 2.2.2+git20250111.425d53d (Closes:
    #1048517, #1091945)
  * Update d/watch using substitute strings to be more robust
  * Set upstream metadata fields: Bug-Database, Bug-Submit,
    Repository-Browse.
  * Update Standards-Version to 4.7.0; no change needed
  * Set section of org-roam-doc to doc (Closes: #1076359)
  * Add d/org-roam-doc.doc-base for doc-base registration
  * Drop oldoldstable emacs version from Recommends
  * Add myself to Uploaders
  * Add d/gbp.conf matching the current practice
  * Add d/README.source documenting the dgit-maint-debrebase workflow
  * Use regexp match to replace hard-coded path equal test
  * Comment out flaky check in org-roam-file-p test
  * Set org-roam-directory to a non-existent path to ensure robust test

 -- Xiyue Deng <manphiz@gmail.com>  Sat, 11 Jan 2025 15:53:19 -0800

org-roam (2.2.2-4) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 23:12:12 +0900

org-roam (2.2.2-3) unstable; urgency=medium

  * Restore rebuilding org-roam.texi (Closes: #1076116).

 -- Aymeric Agon-Rambosson <aymeric.agon@yandex.com>  Thu, 11 Jul 2024 16:06:23 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: editors
 Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
-Uploaders: Aymeric Agon-Rambosson <aymeric.agon@yandex.com>
+Uploaders: Aymeric Agon-Rambosson <aymeric.agon@yandex.com>,
+ Xiyue Deng <manphiz@gmail.com>,
 Build-Depends: debhelper-compat (= 13),
  dh-elpa,
  elpa-buttercup <!nocheck>,
@@ -11,7 +12,8 @@
  elpa-emacsql-sqlite <!nocheck>,
  elpa-magit-section <!nocheck>,
  elpa-org,
-Standards-Version: 4.6.2
+ elpa-org-contrib,
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/emacsen-team/org-roam
 Vcs-Git: https://salsa.debian.org/emacsen-team/org-roam.git
 Homepage: https://github.com/org-roam/org-roam
@@ -21,7 +23,7 @@
 Package: elpa-org-roam
 Architecture: all
 Depends: ${elpa:Depends}, ${misc:Depends}
-Recommends: emacs (>= 46.0)
+Recommends: emacs
 Suggests: org-roam-doc
 Enhances: emacs
 Description: non-hierarchical note-taking with Emacs Org-mode
@@ -35,6 +37,7 @@
  This package contains the Emacs Lisp.
 
 Package: org-roam-doc
+Section: doc
 Architecture: all
 Depends: ${misc:Depends}
 Description: non-hierarchical note-taking with Emacs Org-mode -- documentation

## org-roam 2.2.2+git20250218.0037daa

=== debian/changelog ===
org-roam (2.2.2+git20250218.0037daa-1) unstable; urgency=medium

  [ Xiyue Deng ]
  * Update to new upstream version 2.2.2+git20250218.0037daa.
  * Add d/salsa-ci.yml with default template
  * Add git <!nocheck> to Build-Depends
    - This is required when ERT is run on Salsa CI
  * Ensure dh_elpa_test is run in UTC timezone
    - This fixes Salsa CI reprotest which tries to run the tests under a
      different timezone to check for diff.
  * Drop 0005-Set-org-roam-directory-to-a-non-existent-path-to-ens.patch;
    applied upstream
  * Save/Restore/Cleanup files changed during build to fix
    build-twice-in-a-row

 -- Xiyue Deng <manphiz@gmail.com>  Wed, 19 Feb 2025 00:55:52 -0800

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,13 @@
 Build-Depends: debhelper-compat (= 13),
  dh-elpa,
  elpa-buttercup <!nocheck>,
- texinfo,
  elpa-dash <!nocheck>,
  elpa-emacsql-sqlite <!nocheck>,
  elpa-magit-section <!nocheck>,
  elpa-org,
  elpa-org-contrib,
+ git <!nocheck>,
+ texinfo,
 Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/emacsen-team/org-roam
 Vcs-Git: https://salsa.debian.org/emacsen-team/org-roam.git

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_auto_clean:
	# Ensure no local changes when building twice in a row.
	# * Restore files regenerated during build
	-cp -f debian/.debhelper/org-roam.texi doc/org-roam.texi
	-cp -f debian/.debhelper/demoteable.org tests/roam-files/demoteable.org
	# * Clean-up files generated during build
	-rm -f doc/dir
	-rm -f doc/org-roam.info
	-rm -f doc/manual.html

override_dh_auto_build:
	# Save files regenerated during build
	mv -f doc/org-roam.texi debian/.debhelper/org-roam.texi
	cp -f tests/roam-files/demoteable.org debian/.debhelper/demoteable.org

	make -C doc texi
	make -C doc info html-dir

override_dh_auto_install:
	@echo Skip upstream install

override_dh_installdocs:
	dh_installdocs -pelpa-org-roam
	dh_installdocs \
		-porg-roam-doc \
		--link-doc=elpa-org-roam --doc-main-package=elpa-org-roam

override_dh_elpa_test:
	TZ=UTC dh_elpa_test

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, dversionmangle=auto, pretty=2.2.2+git%cd.%h" \
    https://github.com/org-roam/org-roam \
    HEAD debian uupdate

## org-roam 2.2.2+git20250324.cce9591

=== debian/changelog ===
org-roam (2.2.2+git20250324.cce9591-1) unstable; urgency=medium

  * Update to new upstream version 2.2.2+git20250324.cce9591.
  * Update Standards-Version 4.7.2; no change needed

 -- Xiyue Deng <manphiz@gmail.com>  Mon, 24 Mar 2025 13:31:36 -0700

org-roam (2.2.2+git20250313.db4170a-1) unstable; urgency=medium

  * Update to new upstream version 2.2.2+git20250313.db4170a.
  * Use d/s/options to avoid extraneous diffs
    - Drop save/restore handling in d/rules in favor of d/s/options
    - Add d/clean to clean up generated files during build

 -- Xiyue Deng <manphiz@gmail.com>  Sat, 15 Mar 2025 23:24:16 -0700

## org-roam 2.3.0

=== debian/changelog ===
org-roam (2.3.0-1) unstable; urgency=medium

  * Update to new upstream version 2.3.0.
  * Track upstream tag for release in d/watch
  * Track upstream release tags in d/gbp.conf

 -- Xiyue Deng <manphiz@gmail.com>  Tue, 27 May 2025 12:56:19 -0700

## org-roam 2.3.1

=== Makefile ===
.PHONY: clean
clean:
	eldev clean all

.PHONY: prepare
prepare:
	eldev -C --unstable -p -dtT prepare

.PHONY: lint
lint:
	eldev -C --unstable -T lint

.PHONY: test
test:
	eldev -C --unstable -T test

docs:
	make -C doc all

html:
	make -C doc html-dir

install: install-docs

install-docs: docs
	make -C doc install-docs

install-info: info
	make -C doc install-info

=== debian/changelog ===
org-roam (2.3.1-1) unstable; urgency=medium

  * Update to new upstream version 2.3.1.

 -- Xiyue Deng <manphiz@gmail.com>  Sun, 29 Jun 2025 16:25:56 -0700

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  elpa-org-contrib,
  git <!nocheck>,
  texinfo,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/emacsen-team/org-roam
 Vcs-Git: https://salsa.debian.org/emacsen-team/org-roam.git
 Homepage: https://github.com/org-roam/org-roam

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_auto_clean:
	@echo Skip running upstream clean target which uses eldev

override_dh_auto_build:
	make -C doc texi
	make -C doc info html-dir

override_dh_auto_install:
	@echo Skip upstream install

override_dh_installdocs:
	dh_installdocs -pelpa-org-roam
	dh_installdocs \
		-porg-roam-doc \
		--link-doc=elpa-org-roam --doc-main-package=elpa-org-roam

override_dh_elpa_test:
	TZ=UTC dh_elpa_test

=== debian/watch ===
version=4
opts="filenamemangle=s/(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/" \
    https://github.com/org-roam/org-roam/tags \
    (?:.*?/)?@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate
